POST
Calculate Payment Fee

Overview

Calculate estimated fee and total payment amount before creating a transaction.

Endpoint

Request Body

Response Example

Authorizations

X-DOMPAY-API-Key
string
header
required
X-DOMPAY-Signature
string
header
required
X-DOMPAY-Timestamp
string
header
required

Body

application/json
amount
number
required
Example:

50000

currency
string
required
Example:

"IDR"

method
string
required
Example:

"QRIS"

merchantId
string

Merchant ID, when required by the integration context.

chargeFeeToCustomer
boolean
Example:

true

Response

200 - application/json

Fee calculated successfully

amount
number
Example:

50000

fee
number
Example:

450

additionalFee
number
Example:

200

totalAmount
number
Example:

50650

getBalance
number
Example:

50000

currency
string
Example:

"IDR"